## org.eclipse.datatools.enablement.ase.catalog
Class SybaseASECatalogUserDefinedType

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                                      org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
                                          org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
                                              org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEUserDefinedTypeImpl
                                                  org.eclipse.datatools.enablement.ase.catalog.SybaseASECatalogUserDefinedType

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ICatalogObject, SybaseASEUserDefinedType, DataType, DistinctUserDefinedType, UserDefinedType, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASECatalogUserDefinedType

extends SybaseASEUserDefinedTypeImpl
implements ICatalogObject, org.eclipse.core.runtime.IAdaptable

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`static int` `BATCH_LOAD_THRESHHOLD`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASECatalogUserDefinedType()`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`SybaseASEDefault` `getBoundDefault()`
`SybaseASERule` `getBoundRule()`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`PredefinedDataType` `getPredefinedRepresentation()` Returns the value of the 'Predefined Representation' containment reference.
`boolean` `isAllowNulls()`
`boolean` `isIdentity()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.impl.SybaseASEUserDefinedTypeImpl
`basicGetBoundDefault, basicGetBoundRule, eGet, eIsSet, eSet, eUnset, isBindDefaultInFutureOnly, isBindRuleInFutureOnly, setAllowNulls, setBindDefaultInFutureOnly, setBindRuleInFutureOnly, setBoundDefault, setBoundRule, setIdentity, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl
`basicSetPredefinedRepresentation, eInverseRemove, setPredefinedRepresentation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.UserDefinedTypeImpl
`basicGetSchema, basicSetOrdering, basicSetSchema, eInverseAdd, getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DistinctUserDefinedType
`setPredefinedRepresentation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.UserDefinedType
`getOrdering, getSchema, setOrdering, setSchema`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### BATCH_LOAD_THRESHHOLD

    public static final int BATCH_LOAD_THRESHHOLD

See Also:
  Constant Field Values

Constructor Detail

### SybaseASECatalogUserDefinedType

    public SybaseASECatalogUserDefinedType()

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getBoundDefault

    public SybaseASEDefault getBoundDefault()

  Description copied from class: `SybaseASEUserDefinedTypeImpl`

  Specified by:
    `getBoundDefault` in interface `SybaseASEUserDefinedType`
  Overrides:
    `getBoundDefault` in class `SybaseASEUserDefinedTypeImpl`
  Returns:
    the value of the 'Bound Default' reference.
  See Also:
    `SybaseASEUserDefinedType.setBoundDefault(SybaseASEDefault)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BoundDefault()`

### getBoundRule

    public SybaseASERule getBoundRule()

  Description copied from class: `SybaseASEUserDefinedTypeImpl`

  Specified by:
    `getBoundRule` in interface `SybaseASEUserDefinedType`
  Overrides:
    `getBoundRule` in class `SybaseASEUserDefinedTypeImpl`
  Returns:
    the value of the 'Bound Rule' reference.
  See Also:
    `SybaseASEUserDefinedType.setBoundRule(SybaseASERule)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_BoundRule()`

### isAllowNulls

    public boolean isAllowNulls()

  Description copied from class: `SybaseASEUserDefinedTypeImpl`

  Specified by:
    `isAllowNulls` in interface `SybaseASEUserDefinedType`
  Overrides:
    `isAllowNulls` in class `SybaseASEUserDefinedTypeImpl`
  Returns:
    the value of the 'Allow Nulls' attribute.
  See Also:
    `SybaseASEUserDefinedType.setAllowNulls(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_AllowNulls()`

### isIdentity

    public boolean isIdentity()

  Description copied from class: `SybaseASEUserDefinedTypeImpl`

  Specified by:
    `isIdentity` in interface `SybaseASEUserDefinedType`
  Overrides:
    `isIdentity` in class `SybaseASEUserDefinedTypeImpl`
  Returns:
    the value of the 'Identity' attribute.
  See Also:
    `SybaseASEUserDefinedType.setIdentity(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEUserDefinedType_Identity()`

### getPredefinedRepresentation

    public PredefinedDataType getPredefinedRepresentation()

  Description copied from interface: `DistinctUserDefinedType`
  Returns the value of the 'Predefined Representation' containment reference.

  If the meaning of the 'Predefined Representation' reference isn't clear, there really should be more of a description here...

  Specified by:
    `getPredefinedRepresentation` in interface `DistinctUserDefinedType`
  Overrides:
    `getPredefinedRepresentation` in class `org.eclipse.datatools.modelbase.sql.datatypes.impl.DistinctUserDefinedTypeImpl`
  Returns:
    the value of the 'Predefined Representation' containment reference.
  See Also:
    `DistinctUserDefinedType.setPredefinedRepresentation(PredefinedDataType)`, `SQLDataTypesPackage.getDistinctUserDefinedType_PredefinedRepresentation()`

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`